grumphp:
    tasks:
        phpcs:
            triggered_by: [ php ]
            severity: 6
            standard: Magento2
            tab_width: 4
            ignore_patterns:
                - vendor/
        #    phpcpd:
        #      directory: [ 'app' ]
        #      exclude: [ 'vendor', 'm2-hotfixes', 'patches' ]
        #      fuzzy: false
        #      min_lines: 5
        #      min_tokens: 70
        #      triggered_by: [ 'php' ]
        #    phpmd:
        #      ruleset: [ "./dev/tests/static/testsuite/Magento/Test/Php/_files/phpmd/ruleset.xml" ]
        eslint:
            triggered_by: [ js ]
        stylelint:
            triggered_by: [ less ]
        phpstan:
            triggered_by: [ 'php' ]
        git_branch_name:
            whitelist:
                - "/\\d{9}(-|_)/"
        git_commit_message:
            allow_empty_message: false
            enforce_capitalized_subject: false
            max_body_width: 0
            max_subject_width: 0
            matchers:
                Must contain wrike ticket url or merge: "/https|merge/i"
        git_blacklist:
            regexp_type: E
            keywords:
                - "\\.dev"
                - "\\.local"
                - "\\.test"
                - "<<<<<<<"
                - "======="
                - "DebuggerUtility"
                - "ObjectManager::getInstance"
                - "_GET\\["
                - "_POST\\["
                - "_REQUEST\\["
                - "console.log\\("
                - "die\\("
                - "die;"
                - "exit\\("
                - "exit;"
                - "fileadmin"
                - "localhost"
                - "phpinfo"
                - "phpinfo\\("
                - "print_r\\("
                - "var_dump\\("
                - "_objectManager"
            triggered_by: [ 'php', 'phtml' ]
